## ./crawl.py

Crawler for Trafikverkets API

```
usage: crawl.py [-h] [-s] [-f] -l locationSignature [-o path] [-w webhookurl] [-a authkey] [-v] [-q] objecttype

Crawler for Trafikverket's Trafikinfo API - version 1.2.0

positional arguments:
  objecttype            the API objecttype to crawl

options:
  -h, --help            show this help message and exit
  -s, --stream          use streaming in real-time instead of daily crawling
  -f, --force           force new connection instead of reconnecting
  -l locationSignature, --locationSignature locationSignature
                        the location signature of the station to crawl data for
  -o path, --output path
                        the output folder
  -w webhookurl, --webhook webhookurl
                        Webhook URL to trigger when warnings or exceptions occur
  -a authkey, --authkey authkey
                        The API authkey to use as obtained from https://api.trafikinfo.trafikverket.se/Account/Register
  -v, --verbose         Prints extra debug information
  -q, --query           Print query only instead of starting a crawler
```

*Example:*

	./crawl.py -s -l Sub TrainAnnouncement

Starts crawling of TrainAnnouncements using continuous streaming for Sundbyberg station.

